package com.qs.mp.user.service;

import com.qs.mp.user.domain.UserRedPkg;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.user.domain.param.RedPkgDrawParam;

/**
 * @auther quanshu
 * @create 2023-06-12 15:03:20
 * @describe 用户的红包服务类
 */
public interface IUserRedPkgService extends IService<UserRedPkg> {

    /**
     * 发放红包
     *
     * @param userId
     * @param value
     * @param title
     * @param picUrl
     * @param refId
     */
    void distribute(Long userId, Integer value, String title, String picUrl, String refId);

    /**
     * 领取红包到微信零钱
     * @param param
     * @return
     */
    boolean draw(RedPkgDrawParam param);
}
